///////////////////////////////////////////////////////////////////////////////
// MutDoubleHealth.uc
// postaldude@cox.net
//
// Doubles player health
//
///////////////////////////////////////////////////////////////////////////////
class MutDoubleHealth extends xMutator
	config(kMods);

var config float HealthMul;

function ModifyPlayer(Pawn Other)
{
	Other.Health = Other.Health * HealthMul;
	FPSPawn(Other).HealthMax = FPSPawn(Other).HealthMax * HealthMul;
	Super.ModifyPlayer(Other);
}

defaultproperties
{
	GroupName="Health"
	FriendlyName="Double Health"
	Description="Player starts with double health."
	HealthMul = 2.00
}
