///////////////////////////////////////////////////////////////////////////////
// MutMegaNuke.uc
// postaldude@cox.net
//
// Change rocket launchers to nuke launchers.
//
///////////////////////////////////////////////////////////////////////////////
class MutMegaNuke extends xMutator;

///////////////////////////////////////////////////////////////////////////////
// Change rocket launchers to nuke launchers.
///////////////////////////////////////////////////////////////////////////////
function bool CheckReplacement(Actor Other, out byte bSuperRelevant)
{
	// Check normal pickups
	if (Other.Class==class'LauncherPickup')
		return !ReplaceWith(Other, "kMods-Plus.kNukeMPPickup");

	// Remove also from cycling pickups
	if(MultiPickup(Other) != None)
		MultiPickup(Other).SwapClass(class'LauncherPickup', class'kNukeMPPickup');
	return true;
}

defaultproperties
{
     GroupName="kWeaponPickupReplacement"
     FriendlyName="MegaNuke Launchers"
     Description="Replaces regular rocket launchers with nuke launchers."
}
