class MutSafeSpawn extends xMutator;

var class<GameRules> RulesClass;

function bool MutatorIsAllowed()
{
	return (Level.Game.GameName != "Postal Arena");
}

function PostBeginPlay()
{
	local GameRules gr;
	gr = spawn(RulesClass);
	if (gr != None)
	{
		if (Level.Game.GameRulesModifiers == None)
			Level.Game.GameRulesModifiers = gr;
		else
			Level.Game.GameRulesModifiers.AddGameRules(gr);
		//log("Added game rules"@gr);
	}
}

defaultproperties
{
	GroupName="SafeSpawn"
	FriendlyName="SafeSpawn"
	Description="Spawn camping protection."
	RulesClass=class'kMods-Plus.SafeSpawnRules'
}
