///////////////////////////////////////////////////////////////////////////////
// MutTrashTalk.uc
// postaldude@cox.net
//
// Trash Talking Mod
//
///////////////////////////////////////////////////////////////////////////////
class MutTrashTalk extends xMutator;

function ModifyPlayer(Pawn Other)
{
	local P2Pawn p2p;
	local P2Dialog NewDialog;

	p2p = P2Pawn(Other);
	if (p2p != None)
	{
		if (p2p.DialogClass == class'DialogMale')
		{
			NewDialog = spawn(class'kDialogMaleMP');
			p2p.MyDialog.Destroy();
			p2p.MyDialog = NewDialog;
			p2p.MyDialog.FillInLines();
		}
		else if (p2p.DialogClass == class'DialogMaleCop')
		{
			NewDialog = spawn(class'kDialogMaleCopMP');
			p2p.MyDialog.Destroy();
			p2p.MyDialog = NewDialog;
			p2p.MyDialog.FillInLines();
		}
		else if (p2p.DialogClass == class'DialogDude')
		{
			NewDialog = spawn(class'kDialogDudeMP');
			p2p.MyDialog.Destroy();
			p2p.MyDialog = NewDialog;
			p2p.MyDialog.FillInLines();
		}
		else if (p2p.DialogClass == class'DialogFanatic')
		{
			NewDialog = spawn(class'kDialogFanaticMP');
			p2p.MyDialog.Destroy();
			p2p.MyDialog = NewDialog;
			p2p.MyDialog.FillInLines();
		}
		else if (p2p.DialogClass == class'DialogHabib')
		{
			NewDialog = spawn(class'kDialogHabibMP');
			p2p.MyDialog.Destroy();
			p2p.MyDialog = NewDialog;
			p2p.MyDialog.FillInLines();
		}
		else if (p2p.DialogClass == class'DialogGary')
		{
			NewDialog = spawn(class'kDialogGaryMP');
			p2p.MyDialog.Destroy();
			p2p.MyDialog = NewDialog;
			p2p.MyDialog.FillInLines();
		}
		else if (p2p.DialogClass == class'DialogMaleMilitary')
		{
			NewDialog = spawn(class'kDialogMaleMilitaryMP');
			p2p.MyDialog.Destroy();
			p2p.MyDialog = NewDialog;
			p2p.MyDialog.FillInLines();
		}
		else if (p2p.DialogClass == class'DialogRedneck')
		{
			NewDialog = spawn(class'kDialogRedneckMP');
			p2p.MyDialog.Destroy();
			p2p.MyDialog = NewDialog;
			p2p.MyDialog.FillInLines();
		}
	}
	Super.ModifyPlayer(Other);
}

defaultproperties
{
     GroupName="Dialogue"
     FriendlyName="Trash Talk"
     Description="Extends dialogue for MP players"
}
