///////////////////////////////////////////////////////////////////////////////
// RocketExpl
// 
// explosion for a rocket
///////////////////////////////////////////////////////////////////////////////
class kNukeMPExplosion extends PlagueExplosion;

#exec AUDIO IMPORT FILE="Sounds\KABOOM.WAV" NAME="KABOOM"

///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
auto state Exploding
{
	///////////////////////////////////////////////////////////////////////////////
	///////////////////////////////////////////////////////////////////////////////
	function MakeBase()
	{
		local vector loc;

		loc = 2*UseNormal + Location;
		spawn(class'kNukeMPBase',,,loc);
	}

	///////////////////////////////////////////////////////////////////////////////
	// Central fire pillar
	///////////////////////////////////////////////////////////////////////////////
	function MakePillar()
	{
		local vector loc;

		loc = 2*UseNormal + Location;
		spawn(class'kNukeMPPillar',,,loc);
	}
Begin:
	MakeBase();	
	MakePillar();
	PlaySound(ExplodingSound,,1.0,,,,true);
	CheckHurtRadius(ExplosionDamage, ExplosionRadius, MyDamageType, ExplosionMag, ForceLocation);
	Sleep(DelayToHurtTime);
	//CheckHurtRadius(GasDamage, GasRadius, GasDamageType, 0, ForceLocation);
	NotifyPawns();
	Sleep(0.6);
}

defaultproperties
{
	ExplodingSound=KABOOM
	ExplosionMag=200000.000000
	ExplosionDamage=360.000000
	ExplosionRadius=1500.000000
	GasRadius=0
	GasDamage=0
	MyDamageType=Class'kNukeMPDamage'
	pillclass = class'kNukeMPPillar'
	ballclass = class'kNukeMPBall'
}
