///////////////////////////////////////////////////////////////////////////////
// LauncherProjectile.
// Copyright 2002 Running With Scissors, Inc.  All Rights Reserved.
//
// This is the actual rocket that goes flying through the air.
// It fires straight, but it can run out fuel, at which point it tumbles
// to the ground, still potent.
// Detonates on contact with anything. 
//
///////////////////////////////////////////////////////////////////////////////
class kNukeMPProjectile extends LauncherProjectile;

///////////////////////////////////////////////////////////////////////////////
// Blow up and generate effects
///////////////////////////////////////////////////////////////////////////////
function GenExplosion(vector HitLocation, vector HitNormal, Actor Other)
{
	local kNukeMPExplosion me;

	if(Role == ROLE_Authority)
	{
		me = spawn(class'kNukeMPExplosion',GetMaker(),,HitLocation);
		me.SetupExp(HitNormal, Other);
		me.UseNormal = HitNormal;
		me.ImpactActor = Other;
	}

	me.ShakeCamera(me.ExplosionDamage);
	//exp.ForceLocation = WallHitPoint;

 	Destroy();

}
