///////////////////////////////////////////////////////////////////////////////
// MutFullyLoaded.uc
// postaldude@cox.net
//
// Starts with all weapons and max ammo
//
///////////////////////////////////////////////////////////////////////////////
class MutFullyLoaded extends MutLoaded
	config(kMods);

var config int MaxAmmo;

function bool CheckReplacement(Actor Other, out byte bSuperRelevant)
{
	if (P2AmmoInv(Other) != None)
	{
		P2AmmoInv(Other).MaxAmmoMP=MaxAmmo;
		P2AmmoInv(Other).AmmoAmount=MaxAmmo;
	}

	return Super.CheckReplacement(Other, bSuperRelevant);
}

defaultproperties
{
	GroupName="Loaded"
	FriendlyName="Fully Loaded"
	Description="Start with all weapons and lots of ammo."
	MaxAmmo=666
}
