///////////////////////////////////////////////////////////////////////////////
// MutHighSpeed.uc
// postaldude@cox.net
//
// Super-speed mutator.
//
// Makes people go fast.
//
///////////////////////////////////////////////////////////////////////////////
class MutHighSpeed extends xMutator
	config(kMods);

var config float GroundMul;
var config float WaterMul;
var config float AirMul;
var config float AccelMul;

function ModifyPlayer(Pawn Other)
{
	Other.GroundSpeed *= GroundMul;
	Other.WaterSpeed *= WaterMul;
	Other.AirSpeed *= AirMul;
	Other.AccelRate *= AccelMul;
	Super.ModifyPlayer(Other);
}

defaultproperties
{
	GroupName="kPlayerSpeedMod"
	FriendlyName="High Speed"
	Description="Players move at high (1.4x) speed."
	GroundMul=1.40
	WaterMul=1.40
	AirMul=1.40
	AccelMul=1.40
}
