///////////////////////////////////////////////////////////////////////////////
// MutNoSeekers.uc
// postaldude@cox.net
//
// Change all weapons to foo
//
///////////////////////////////////////////////////////////////////////////////
class MutNoSeekers extends xMutator;

// Base mutator for weapon substitution.
// Easy to make your own weapon subs... all shovel if you want, or all WMD, or whatever.

///////////////////////////////////////////////////////////////////////////////
// Replace weapons with foo
///////////////////////////////////////////////////////////////////////////////
function bool CheckReplacement(Actor Other, out byte bSuperRelevant)
{
	// Check normal pickups
	if (LauncherPickup(Other) != None && Other.Class != class'kStandardLauncherPickup')
		return !ReplaceWith(Other, "NoSeekers.kStandardLauncherPickup");

	// Remove also from cycling pickups
	if(MultiPickup(Other) != None)
	{
		MultiPickup(Other).SwapClass(class'LauncherPickup', class'kStandardLauncherPickup');
	}

	return true;
}

defaultproperties
{
	GroupName="RocketReplacement"
	FriendlyName="No Seeking Rockets"
	Description="Turns off seeking rockets."
}
