///////////////////////////////////////////////////////////////////////////////
// MutRapidFire.uc
// postaldude@cox.net
//
// Rapid fire mod
// I couldn't get this to work... have fun
///////////////////////////////////////////////////////////////////////////////
class MutRapidFire extends xMutator
	config(kMods);

var config float NewIdle;
var config float NewHolster;
var config float NewLoad;
var config float NewReload;
var config float NewShoot1;
var config float NewShoot2;

replication
{
	reliable if (ROLE == ROLE_Authority)
		SetRapidFire;
}

simulated function SetRapidFire(P2Weapon weap)
{
	weap.WeaponSpeedIdle = weap.Default.WeaponSpeedIdle * NewIdle;
	weap.WeaponSpeedHolster = weap.Default.WeaponSpeedHolster * NewHolster;
	weap.WeaponSpeedLoad = weap.Default.WeaponSpeedLoad * NewLoad;
	weap.WeaponSpeedReload = weap.Default.WeaponSpeedReload * NewReload;
	weap.WeaponSpeedShoot1 = weap.Default.WeaponSpeedShoot1 * NewShoot1;
	weap.WeaponSpeedShoot2 = weap.Default.WeaponSpeedShoot2 * NewShoot2;
}

///////////////////////////////////////////////////////////////////////////////
// Replace weapons with foo
///////////////////////////////////////////////////////////////////////////////
function bool CheckReplacement(Actor Other, out byte bSuperRelevant)
{
	local P2Weapon weap;

	weap = P2Weapon(Other);
	if (weap != None)
		SetRapidFire(weap);
	return true;
}

defaultproperties
{
	GroupName="RapidFire"
	FriendlyName="Rapid Fire"
	Description="Enables rapid fire for all weapons."

	NewIdle=2
	NewHolster=2
	NewLoad=2
	NewReload=2
	NewShoot1=2
	NewShoot2=2
}
