class kIceBlock extends P2Emitter;

var Pawn OurFrozenPawn;
var Vector FrozenPawnLocation;

replication
{
	reliable if (ROLE==Role_Authority)
		LockPawn;
}

function LockPawn(Pawn P, Vector V)
{
	P.SetLocation(V);
}

event Tick (float DeltaTime)
{
	if (OurFrozenPawn != None)
		LockPawn(OurFrozenPawn, FrozenPawnLocation);
	else
		Destroy();
}

function Freeze(Pawn FreezePawn)
{
	FrozenPawnLocation = FreezePawn.Location;
	OurFrozenPawn = FreezePawn;
	P2Pawn(FreezePawn).DestroyAllInventory();
}

DefaultProperties
{
	Begin Object Class=SpriteEmitter Name=PEmitter1
		Texture=Texture'Nathans.Skins.SoftWhiteDot'
		DrawStyle=PTDS_Translucent
		UseColorScale=true
		ColorScale(0)=(Color=(R=0,G=0,B=255),RelativeTime=0.0)
		ColorScale(1)=(Color=(R=50,G=50,B=255),RelativeTime=2.0)
		UseCollision=true
		LifetimeRange=(Min=0.1,Max=0.3)
		MaxParticles=100
		InitialParticlesPerSecond=20
		ParticlesPerSecond=5
		StartVelocityRange=(X=(Min=-100,Max=100),Y=(Min=-100,Max=100),Z=(Min=100,Max=200))
	        Acceleration=(Z=-200.000000)
		FadeOut=true
		Name="PEmitter1"
		RespawnDeadParticles=True
	End Object
	Emitters(0)=SpriteEmitter'PEmitter1'
}