class kMOTD extends xMutator
	config(kMods);

var config string MOTDLine1;
var config string MOTDLine2;
var config string MOTDLine3;
var config string MOTDLine4;

var array<PlayerController> PeepzToMessage;

function PostBeginPlay()
{
	SetTimer(5, true);
	Super.PostBeginPlay();
}

function bool AlwaysKeep(Actor Other)
{
	local PlayerController NewPlayer;

	NewPlayer = PlayerController(Other);
	if (NewPlayer != None)
	{
		log("Found player" @ NewPlayer);
		PeepzToMessage.Insert(PeepzToMessage.Length,1);
		PeepzToMessage[PeepzToMessage.Length] = NewPlayer;
	}
	return (false || Super.AlwaysKeep(Other));
}

event Timer()
{
	local PlayerController NewPlayer;

	while(PeepzToMessage.Length>0)
	{
		NewPlayer=PeepzToMessage[0];
		if (NewPlayer != None)
		{
			if (MOTDLine1 != "")
				NewPlayer.ClientMessage(MOTDLine1);
			if (MOTDLine2 != "")
				NewPlayer.ClientMessage(MOTDLine2);
			if (MOTDLine3 != "")
				NewPlayer.ClientMessage(MOTDLine3);
			if (MOTDLine4 != "")
				NewPlayer.ClientMessage(MOTDLine4);
			log("Told" @ NewPlayer @ "the MOTD, removed from new player list");
		}
		PeepzToMessage.Remove(0,1);
	}
}

defaultproperties
{
	GroupName="kMOTD"
	FriendlyName="MOTD"
	Description="Configurable MOTD"
}